diff --git a/game/core/src/main/java/net/minecraft/core/world/generate/feature/WorldFeatureLabyrinth.java b/game/core/src/main/java/net/minecraft/core/world/generate/feature/WorldFeatureLabyrinth.java
index 9581f8d1c..f922fa452 100644
--- a/game/core/src/main/java/net/minecraft/core/world/generate/feature/WorldFeatureLabyrinth.java
+++ b/game/core/src/main/java/net/minecraft/core/world/generate/feature/WorldFeatureLabyrinth.java
@@ -3,7 +3,7 @@ package net.minecraft.core.world.generate.feature;
 import net.minecraft.core.WeightedRandomBag;
 import net.minecraft.core.WeightedRandomLootObject;
 import net.minecraft.core.block.BlockLogicChest;
-import net.minecraft.core.block.BlockLogicRotatable;
+import net.minecraft.core.block.BlockLogicSlab;
 import net.minecraft.core.block.entity.TileEntityChest;
 import net.minecraft.core.block.entity.TileEntityDispenser;
 import net.minecraft.core.block.entity.TileEntityMobSpawner;
@@ -14,6 +14,7 @@ import net.minecraft.core.enums.HumanArmorShape;
 import net.minecraft.core.item.IArmorItem;
 import net.minecraft.core.item.Item;
 import net.minecraft.core.item.Items;
+import net.minecraft.core.util.helper.Direction;
 import net.minecraft.core.item.ItemStack;
 import net.minecraft.core.world.World;
 import net.minecraft.core.world.biome.Biome;
@@ -37,10 +38,13 @@ public class WorldFeatureLabyrinth extends WorldFeature
     int brickBlockA = Blocks.BRICK_STONE_POLISHED.id();
     int brickBlockB = Blocks.BRICK_STONE_POLISHED_MOSSY.id();
     int slabBlock = Blocks.SLAB_STONE_POLISHED.id();
+    int pressurePlateBlock = Blocks.PRESSURE_PLATE_COBBLE_STONE.id();
     public ItemStack treasureItem;
     public WeightedRandomBag<WeightedRandomLootObject> chestLoot;
     public WeightedRandomBag<WeightedRandomLootObject> dispenserLoot;
     public WeightedRandomBag<String> spawnerMonsters;
+    public static final int wallTrapChanceInv = 32;
+    public static final int floorTrapChanceInv = 64;
 
     private int @Nullable[] platformPos = null;
     private int @Nullable[] lastDungeon = null;
@@ -61,6 +65,7 @@ public class WorldFeatureLabyrinth extends WorldFeature
             brickBlockA = Blocks.BRICK_SANDSTONE.id();
             brickBlockB = Blocks.BRICK_SANDSTONE.id();
             slabBlock = Blocks.SLAB_SANDSTONE.id();
+            pressurePlateBlock = Blocks.PRESSURE_PLATE_SANDSTONE.id();
         }
         else if (biome == Biomes.OVERWORLD_TAIGA || biome == Biomes.OVERWORLD_TUNDRA || biome == Biomes.OVERWORLD_GLACIER)
         {
@@ -68,6 +73,8 @@ public class WorldFeatureLabyrinth extends WorldFeature
             wallBlockB = Blocks.COBBLE_PERMAFROST.id();
             brickBlockA = Blocks.BRICK_PERMAFROST.id();
             brickBlockB = Blocks.BRICK_PERMAFROST.id();
+            slabBlock = Blocks.SLAB_PERMAFROST_POLISHED.id();
+            pressurePlateBlock = Blocks.PRESSURE_PLATE_COBBLE_PERMAFROST.id();
             isCold = true;
         }
         else
@@ -88,6 +95,7 @@ public class WorldFeatureLabyrinth extends WorldFeature
                 wallBlockB = Blocks.COBBLE_LIMESTONE_MOSSY.id();
                 brickBlockA = brickBlockB = Blocks.BRICK_LIMESTONE.id();
                 slabBlock = Blocks.SLAB_LIMESTONE_POLISHED.id();
+                pressurePlateBlock = Blocks.PRESSURE_PLATE_COBBLE_LIMESTONE.id();
             }
             else if (design == 2) // Granite
             {
@@ -95,6 +103,7 @@ public class WorldFeatureLabyrinth extends WorldFeature
                 wallBlockB = Blocks.COBBLE_GRANITE_MOSSY.id();
                 brickBlockA = brickBlockB = Blocks.BRICK_GRANITE.id();
                 slabBlock = Blocks.SLAB_GRANITE_POLISHED.id();
+                pressurePlateBlock = Blocks.PRESSURE_PLATE_COBBLE_GRANITE.id();
             }
             else if (design == 3) // Basalt
             {
@@ -102,6 +111,7 @@ public class WorldFeatureLabyrinth extends WorldFeature
                 wallBlockB = Blocks.COBBLE_BASALT_MOSSY.id();
                 brickBlockA = brickBlockB = Blocks.BRICK_BASALT.id();
                 slabBlock = Blocks.SLAB_BASALT_POLISHED.id();
+                pressurePlateBlock = Blocks.PRESSURE_PLATE_COBBLE_BASALT.id();
             }
         }
 
@@ -172,44 +182,37 @@ public class WorldFeatureLabyrinth extends WorldFeature
 
     public void generateBranch(World world, Random random, int blockX, int blockY, int blockZ)
     {
-        boolean generateTrapOnWall = false;
+        int xDir = Direction.EAST.id;
         for(int x = blockX - 2; x <= blockX + 2; x++) {
             boolean xWallCheck = x == blockX - 2 || x == blockX + 2;
+            if (x == blockX) xDir ^= 1;
+            
             for (int y = blockY - 2; y <= blockY + 1; y++) {
                 boolean yWallCheck = y == blockY - 2;
+                
+                int zDir = Direction.SOUTH.id;
                 for (int z = blockZ - 2; z <= blockZ + 2; z++) {
                     boolean zWallCheck = z == blockZ - 2 || z == blockZ + 2;
+                    if (z == blockZ) zDir ^= 1;
 
-                    if(canReplace(world, x, y, z)) {
-                        if (xWallCheck && zWallCheck) {
-                            world.setBlockWithNotify(x, y, z, random.nextInt(4) == 0 ? brickBlockB : brickBlockA);
-                        }
-                        else if (xWallCheck || zWallCheck) {
-                            world.setBlockWithNotify(x, y, z, wallBlockB);
-                        }
-                        else
-                        if (yWallCheck)
-                            world.setBlockWithNotify(x, y, z, wallBlockB);
-                        else world.setBlockWithNotify(x, y, z, 0);
+                    if (!canReplace(world, x, y, z)) continue;
 
-                        //generate traps
-                        if (!generateTrapOnWall && (xWallCheck || zWallCheck)) {
-                            if ((x == blockZ || z == blockZ) && y == blockY) {
-                                world.setBlockWithNotify(x, y, z, Blocks.MOTION_SENSOR_IDLE.id());
-                                BlockLogicRotatable.setDefaultDirection(world, new TilePos(x, y, z));
-                                world.setBlockWithNotify(x, y - 1, z, Blocks.DISPENSER_COBBLE_STONE.id());
-                                BlockLogicRotatable.setDefaultDirection(world, new TilePos(x, y - 1, z));
-                                TileEntityDispenser tileEntityDispenser = (TileEntityDispenser) world.getTileEntity(x, blockY - 1, z);
-                                int k4 = 0;
-                                while (k4 < 3) {
-                                    ItemStack itemstack = pickDispenserLootItem(random);
-                                    if (itemstack != null)
-                                        tileEntityDispenser.setItem(random.nextInt(tileEntityDispenser.getContainerSize()), itemstack);
-                                    k4++;
-                                }
-                                generateTrapOnWall = true;
+                    int block = 0;
+                    if (xWallCheck && zWallCheck) block = random.nextInt(4) == 0 ? brickBlockB : brickBlockA;
+                    else if (xWallCheck || zWallCheck || yWallCheck) block = wallBlockB;
 
-                            }
+                    world.setBlockWithNotify(x, y, z, block);
+                    
+                    switch (y - blockY) {
+                        case 0 -> {
+                            if (block == 0) break;
+                            if (random.nextInt(wallTrapChanceInv) != 0) break;
+                            placeWallTrap(world, random, x, y, z, (xWallCheck) ? xDir : zDir);
+                        }
+                        case -1 -> {
+                            if (block != 0) break;
+                            if (random.nextInt(floorTrapChanceInv) != 0) break;
+                            placeFloorTrap(world, random, x, y, z);
                         }
                     }
                 }
@@ -225,6 +228,28 @@ public class WorldFeatureLabyrinth extends WorldFeature
         }
     }
 
+    private void placeWallTrap(World world, Random random, int x, int y, int z, int dir) {
+        world.setBlockAndMetadataWithNotify(x, y, z, Blocks.MOTION_SENSOR_IDLE.id(), dir);
+        world.setBlockAndMetadataWithNotify(x, y-1, z, Blocks.DISPENSER_COBBLE_STONE.id(), dir);
+        final var dispenser = (TileEntityDispenser) world.getTileEntity(x, y-1, z);
+        for (int i = 0; i < 3; i++) {
+            ItemStack itemstack = pickDispenserLootItem(random);
+            if (itemstack != null)
+                dispenser.setItem(random.nextInt(dispenser.getContainerSize()), itemstack);
+        }
+    }
+
+    private void placeFloorTrap(World world, Random random, int x, int y, int z) {
+        world.setBlockAndMetadataWithNotify(x, y-1, z, Blocks.DISPENSER_COBBLE_STONE.id(), Direction.UP.id);
+        world.setBlockRaw(x, y, z, pressurePlateBlock);
+        final var dispenser = (TileEntityDispenser) world.getTileEntity(x, y-1, z);
+        for (int i = 0; i < 3; i++) {
+            ItemStack itemstack = pickDispenserLootItem(random);
+            if (itemstack != null)
+                dispenser.setItem(random.nextInt(dispenser.getContainerSize()), itemstack);
+        }
+    }
+
     public void generateDrop(World world, Random random, int blockX, int blockY, int blockZ)
     {
         if (random.nextBoolean()) generateDungeon(world, random, blockX, blockY, blockZ, false);
@@ -268,95 +293,90 @@ public class WorldFeatureLabyrinth extends WorldFeature
     private boolean canReplace(World world, int x, int y, int z){
         if(y <= 11)
             return false;
-        if(world.getBlockId(x, y, z) == (brickBlockA) || world.getBlockId(x, y, z) == Blocks.PLANKS_OAK.id() || world.getBlockId(x, y, z) == Blocks.COBWEB.id() || world.getBlockId(x, y, z) == Blocks.BOOKSHELF_PLANKS_OAK.id() || world.getBlockId(x, y, z) == Blocks.MOBSPAWNER.id() || world.getBlockId(x, y, z) == brickBlockB )
+        final var block = world.getBlockId(x, y, z);
+        if (block == (brickBlockA) || block == Blocks.PLANKS_OAK.id() || block == Blocks.COBWEB.id() || block == Blocks.BOOKSHELF_PLANKS_OAK.id() || block == Blocks.MOBSPAWNER.id() || block == brickBlockB )
             return false;
-        if(world.getBlockId(x, y, z) == Blocks.MOTION_SENSOR_IDLE.id() || world.getBlockId(x, y, z) == Blocks.DISPENSER_COBBLE_STONE.id() || world.getBlockId(x, y, z) == Blocks.MOTION_SENSOR_ACTIVE.id()) {
+        if (block == Blocks.MOTION_SENSOR_IDLE.id() || block == Blocks.MOTION_SENSOR_ACTIVE.id() || block == Blocks.DISPENSER_COBBLE_STONE.id()) {
             world.removeBlockTileEntity(x, y, z);
+            if (block == Blocks.DISPENSER_COBBLE_STONE.id()) remove_plate: {
+                if ((world.getBlockMetadata(x, y, z) & 0b111) != Direction.UP.id) break remove_plate;
+                if (world.getBlockId(x, y+1, z) != this.pressurePlateBlock) break remove_plate;
+                world.setBlockWithNotify(x, y+1, z, 0);
+            }
             world.setBlockWithNotify(x, y, z, 0);
             return true;
         }
-        return BlockTags.CAVES_CUT_THROUGH.appliesTo(world.getBlock(x, y, z)) ||
-                world.getBlockMaterial(x, y, z) == Materials.GRASS ||
-                world.getBlockMaterial(x, y, z) == Materials.DIRT ||
-                world.getBlockMaterial(x, y, z).isStone() ||
-                world.getBlockMaterial(x, y, z) == Materials.SAND ||
-                world.getBlockMaterial(x, y, z) == Materials.MOSS;
+        final var material = world.getBlockMaterial(x, y, z);
+        return BlockTags.CAVES_CUT_THROUGH.appliesTo(Blocks.getBlock(block)) ||
+            material == Materials.GRASS ||
+            material == Materials.DIRT ||
+            material.isStone() ||
+            material == Materials.SAND ||
+            material == Materials.MOSS;
     }
 
     private void generateCorridor(World world, Random random, int blockX, int blockY, int blockZ, int rot, int corridorIteration){
+        final int height = 2;
+        final int width = 2;
+        final int length = 2;
+
+        // imagine if java has `ref`
+        final int[] xz = new int[2];
+        final boolean[] xzWallCheck = new boolean[2];
+        final int[] xzDir = new int[2];
+        final int xOrZ = rot & 1;
+        final int zOrX = xOrZ ^ 1;
+        final int xzCenter = (xOrZ != 0) ? blockX : blockZ;
+        final int xzWidth = switch (rot) {
+            default -> 0;
+            case 0 -> +length;
+            case 2 -> -length;
+            case 1 -> -width;
+            case 3 -> +width;
+        };
+
+        xzDir[0] = Direction.EAST.id;
+        for (xz[0] = blockX - width; xz[0] <= blockX + width; xz[0]++) {
+            if (xz[0] == blockX) xzDir[0] ^= 1;
+            xzWallCheck[0] = Math.abs(xz[0] - blockX) == width;
+            for (int y = blockY - height; y <= blockY + (height - 1); y++) {
+                final boolean yWallCheck = y == blockY - height;
+                xzDir[1] = Direction.SOUTH.id;
+                for (xz[1] = blockZ - length; xz[1] <= blockZ + length; xz[1]++) {
+                    if (xz[1] == blockZ) xzDir[1] ^= 1;
+                    xzWallCheck[1] = Math.abs(xz[1] - blockZ) == width;
+
+                    if (!canReplace(world, xz[0], y, xz[1])) continue;
+                    if (xzWallCheck[0] || xzWallCheck[1] || yWallCheck) {
+                        final var isHollow = world.getBlockId(xz[0], y+1, xz[1]) == 0;
+                        if (isHollow && random.nextInt(3) > 0) continue;
+                    }
 
-        byte height = 2;
-        int width = 2;
-        int length = 2;
+                    int block = 0;
+                    if (yWallCheck) block = (random.nextInt(3) == 0) ? wallBlockB : wallBlockA;
+                    else if (xzWallCheck[xOrZ]) block = wallBlockA;
+                    else if (xz[zOrX] == xzCenter + xzWidth) block = wallBlockA;
 
-        for (int x = blockX - width; x <= blockX + width; x++) {
-            boolean xWallCheck = x == blockX - width || x == blockX + width;
-            for (int y = blockY - height; y <= blockY + (height - 1); y++) {
-                boolean yWallCheck = y == blockY - height;
-                for (int z = blockZ - length; z <= blockZ + length; z++) {
-                    boolean zWallCheck = z == blockZ - length || z == blockZ + length;
-                    //east
-                    if(canReplace(world, x, y, z)) {
-                        if((xWallCheck || zWallCheck || yWallCheck) && world.getBlockId(x, y+1, z) == 0 && random.nextInt(3) > 0)
-                            continue;
-                        if (rot == 0) {
-                            if (xWallCheck) {
-                                    world.setBlockWithNotify(x, y, z, wallBlockA);
-                            }
-                            else if (z == blockZ + length)
-                                world.setBlockWithNotify(x, y, z, wallBlockA);
-                            else if (yWallCheck) {
-                                if (random.nextInt(3) == 0)
-                                    world.setBlockWithNotify(x, y, z, wallBlockB);
-                                else
-                                    world.setBlockWithNotify(x, y, z, wallBlockA);
-                            }
-                            else world.setBlockWithNotify(x, y, z, 0);
-                        }
-                        //south
-                        else if (rot == 1) {
-                            if (x == blockX - width)
-                                world.setBlockWithNotify(x, y, z, wallBlockA);
-                            else if (zWallCheck)
-                                world.setBlockWithNotify(x, y, z, wallBlockA);
-                            else if (yWallCheck) {
-                                if (random.nextInt(3) == 0)
-                                    world.setBlockWithNotify(x, y, z, wallBlockB);
-                                else
-                                    world.setBlockWithNotify(x, y, z, wallBlockA);
-                            }
-                            else world.setBlockWithNotify(x, y, z, 0);
-                        }
-                        //west
-                        else if (rot == 2) {
-                            if (xWallCheck)
-                                world.setBlockWithNotify(x, y, z, wallBlockA);
-                            else if (z == blockZ - length)
-                                world.setBlockWithNotify(x, y, z, wallBlockA);
-                            else if (yWallCheck){
-                                if (random.nextInt(3) == 0)
-                                    world.setBlockWithNotify(x, y, z, wallBlockB);
-                                else
-                                    world.setBlockWithNotify(x, y, z, wallBlockA);
-                            }
-                            else world.setBlockWithNotify(x, y, z, 0);
+                    boolean isHollowSection = block == 0;
+
+                    if (isHollowSection) cobweb: {
+                        if (xzWallCheck[0] || xzWallCheck[1]) break cobweb;
+                        if (y != blockY + height - 1) break cobweb;
+                        if (random.nextInt(20) == 0) block = Blocks.COBWEB.id();
+                    }
+                    world.setBlockWithNotify(xz[0], y, xz[1], block);
+
+                    switch (y - blockY) {
+                        case 0 -> {
+                            if (isHollowSection) break;
+                            if (random.nextInt(wallTrapChanceInv) != 0) break;
+                            placeWallTrap(world, random, xz[0], y, xz[1], xzDir[xOrZ]);
                         }
-                        //north
-                        else {
-                            if (x == blockX + width)
-                                world.setBlockWithNotify(x, y, z, wallBlockA);
-                            else if (zWallCheck)
-                                world.setBlockWithNotify(x, y, z, wallBlockA);
-                            else if (yWallCheck){
-                                if (random.nextInt(3) == 0)
-                                    world.setBlockWithNotify(x, y, z, wallBlockB);
-                                else
-                                    world.setBlockWithNotify(x, y, z, wallBlockA);
-                            }
-                            else world.setBlockWithNotify(x, y, z, 0);
+                        case -height + 1 -> {
+                            if (!isHollowSection) break;
+                            if (random.nextInt(floorTrapChanceInv) != 0) break;
+                            placeFloorTrap(world, random, xz[0], y, xz[1]);
                         }
-                        if(y == blockY + (height - 1) && !zWallCheck && !xWallCheck && random.nextInt(20)==0)
-                            world.setBlockWithNotify(x, y, z, Blocks.COBWEB.id());
                     }
                 }
             }
@@ -500,8 +520,14 @@ public class WorldFeatureLabyrinth extends WorldFeature
                                     else
                                         world.setBlockWithNotify(x, y, z, Blocks.LOG_OAK.id());
                             }
-                            else
-                                world.setBlockWithNotify(x, y, z, 0);
+                            else {
+                                final var placesTrap =
+                                    y == blockY - 1 &&
+                                    Math.min(Math.abs(x - blockX), Math.abs(z - blockZ)) >= 2 &&
+                                    random.nextInt(floorTrapChanceInv) == 0;
+                                if (placesTrap) placeFloorTrap(world, random, x, y, z);
+                                else world.setBlockWithNotify(x, y, z, 0);
+                            }
                         } else
                             world.setBlockWithNotify(x, y, z, 0);
                         if (zRoom % 2 == 0
@@ -547,7 +573,7 @@ public class WorldFeatureLabyrinth extends WorldFeature
                                 if (x == blockX || z == blockZ) {
                                     world.setBlockWithNotify(x, y, z, isCold ? Blocks.OBSIDIAN.id() : Blocks.FLUID_LAVA_FLOWING.id());
                                 } else {
-                                    world.setBlockWithNotify(x, y, z, slabBlock);
+                                    world.setBlockAndMetadataWithNotify(x, y, z, slabBlock, BlockLogicSlab.STATE_DOUBLE);
                                 }
                             else if (random.nextInt(5) == 0)
                                 world.setBlockWithNotify(x, y, z, wallBlockB);
@@ -581,7 +607,7 @@ public class WorldFeatureLabyrinth extends WorldFeature
         for (int x = blockX - 1; x <= blockX + 1; x++) {
             for (int z = blockZ - 1; z <= blockZ + 1; z++) {
                 if (x == blockX && z == blockZ) {
-                    world.setBlockAndMetadataWithNotify(x, blockY - 1, z, slabBlock, 1);
+                    world.setBlockAndMetadataWithNotify(x, blockY - 1, z, slabBlock, BlockLogicSlab.STATE_DOUBLE);
                 } else {
                     world.setBlockWithNotify(x, blockY - 1, z, slabBlock);
                 }
diff --git a/game/core/src/main/resources/assets/minecraft/lang/en_US/tile.lang b/game/core/src/main/resources/assets/minecraft/lang/en_US/tile.lang
index f337b2865..4b50a3e00 100644
--- a/game/core/src/main/resources/assets/minecraft/lang/en_US/tile.lang
+++ b/game/core/src/main/resources/assets/minecraft/lang/en_US/tile.lang
@@ -719,6 +719,23 @@ tile.torch.redstone.active.desc=Emits a constant redstone signal.
 
 tile.button.stone.name=Stone Button
 tile.button.stone.desc=Emits a brief redstone signal when pressed.
+tile.button.basalt.name=Basalt Button
+tile.button.basalt.desc=Emits a brief redstone signal when pressed.
+tile.button.limestone.name=Limestnoe Button
+tile.button.limestone.desc=Emits a brief redstone signal when pressed.
+tile.button.granite.name=Granite Button
+tile.button.granite.desc=Emits a brief redstone signal when pressed.
+tile.button.permafrost.name=Permafrost Button
+tile.button.permafrost.desc=Emits a brief redstone signal when pressed.
+tile.button.netherrack.name=Netherrack Button
+tile.button.netherrack.desc=Emits a brief redstone signal when pressed.
+tile.button.gloomstone.name=Gloomstone Button
+tile.button.gloomstone.desc=Emits a brief redstone signal when pressed.
+tile.button.sandstone.name=Sandstone Button
+tile.button.sandstone.desc=Emits a brief redstone signal when pressed.
+tile.button.brimstone.name=Brimstone Button
+tile.button.brimstone.desc=Emits a brief redstone signal when pressed.
+
 tile.button.planks.name=Wooden Button
 tile.button.planks.desc=Emits a brief redstone signal when pressed.
 
@@ -762,10 +779,40 @@ tile.lever.cobble.stone.desc=Allows turning a redstone signal on or off.
 
 tile.pressureplate.stone.name=Stone Pressure Plate
 tile.pressureplate.stone.desc=Emits a redstone signal when living creatures step on it.
+tile.pressureplate.basalt.name=Basalt Pressure Plate
+tile.pressureplate.basalt.desc=Emits a redstone signal when living creatures step on it.
+tile.pressureplate.limestone.name=Limestone Pressure Plate
+tile.pressureplate.limestone.desc=Emits a redstone signal when living creatures step on it.
+tile.pressureplate.granite.name=Granite Pressure Plate
+tile.pressureplate.granite.desc=Emits a redstone signal when living creatures step on it.
+tile.pressureplate.permafrost.name=Permafrost Pressure Plate
+tile.pressureplate.permafrost.desc=Emits a redstone signal when living creatures step on it.
+tile.pressureplate.netherrack.name=Netherrack Pressure Plate
+tile.pressureplate.netherrack.desc=Emits a redstone signal when living creatures step on it.
+tile.pressureplate.gloomstone.name=Gloomstone Pressure Plate
+tile.pressureplate.gloomstone.desc=Emits a redstone signal when living creatures step on it.
+tile.pressureplate.sandstone.name=Sandstone Pressure Plate
+tile.pressureplate.sandstone.desc=Emits a redstone signal when living creatures step on it.
+tile.pressureplate.brimstone.name=Brimstone Pressure Plate
+tile.pressureplate.brimstone.desc=Emits a redstone signal when living creatures step on it.
+
 tile.pressureplate.planks.oak.name=Wooden Pressure Plate
 tile.pressureplate.planks.oak.desc=Emits a redstone signal when anything steps on it.
+
 tile.pressureplate.cobble.stone.name=Cobblestone Pressure Plate
 tile.pressureplate.cobble.stone.desc=Emits a redstone signal when players step on it.
+tile.pressureplate.cobble.basalt.name=Cobbled Basalt Pressure Plate
+tile.pressureplate.cobble.basalt.desc=Emits a redstone signal when players step on it.
+tile.pressureplate.cobble.limestone.name=Cobbled Limestone Pressure Plate
+tile.pressureplate.cobble.limestone.desc=Emits a redstone signal when players step on it.
+tile.pressureplate.cobble.granite.name=Cobbled Granite Pressure Plate
+tile.pressureplate.cobble.granite.desc=Emits a redstone signal when players step on it.
+tile.pressureplate.cobble.permafrost.name=Cobbled Permafrost Pressure Plate
+tile.pressureplate.cobble.permafrost.desc=Emits a redstone signal when players step on it.
+tile.pressureplate.cobble.netherrack.name=Cobbled Netherrack Pressure Plate
+tile.pressureplate.cobble.netherrack.desc=Emits a redstone signal when players step on it.
+tile.pressureplate.cobble.gloomstone.name=Cobbled Gloomstone Pressure Plate
+tile.pressureplate.cobble.gloomstone.desc=Emits a redstone signal when players step on it.
 
 tile.pressureplate.planks.oak.painted.name=Mystery Wooden Plate
 tile.pressureplate.planks.oak.painted.desc=Emits a redstone signal when anything steps on it.
